function [allfilteredr, allfilteredi, allfiltered] = applyfilter1(I, allfilterr, allfilteri);

nimage = size(I, 2); 
[sx, sy] = size(I{1}); 

no = size(allfilterr, 2);
allfilteredr = cell(nimage, no); 
allfilteredi = cell(nimage, no); 
allfiltered = cell(nimage, no); 

for i = 1 : nimage
   [sx, sy] = size(I{i});  % size of images  
   J = I{i}; v = var(J(:)); ave = sqrt(v);  
   for o = 1 : no
       re = filter2(allfilterr{1, o}, I{i}, 'same');
       im = filter2(allfilteri{1, o}, I{i}, 'same');
       energy = re.*re + im.*im; 
       allfilteredr{i, o} = re/ave; allfilteredi{i, o} = im/ave; 
       allfiltered{i, o} = energy/v/2.; 
   end
end

    

